/* Author: Peter Schaeffer */
#include <stdio.h>

FILE *in;
int i, j, k, n, f[101], rb, a, b, ra, r;

int main()
{
	in=stdin;//fopen("food.in", "r");
	while(1)
	{
		fscanf(in, " %d", &n);
		if (!n) break;
		for(i=0; i<=100; i++) f[i]=0;
		fscanf(in, " %d %d", &a, &b);
		for(i=0; i<n; i++)
		{
			int dummy;
			fscanf(in, " %d", &dummy);
			f[dummy]++;
		}
		ra=10000000; rb=1;
		for(j=1; j<=3; j++)
			for(i=1; i<=100; i++)
			{
				r=0;
				for(k=1; k<=100; k++)
				{
					if (f[k])
					{
						int p=(k*j+i-1)/i;
						if (p>3) r=10000000;
						r+=f[k]*((a*(p*i-k*j)+b*p*j));
					}
				}
				if (r*rb<ra*j)
				{
					ra=r; rb=j;
				}
			}
		if (ra % rb == 0)
			printf("%d\n", ra / rb);
		else
			printf("%d / %d\n", ra, rb);
	}
	return 0;
}
